namespace efl { namespace event { 
inline bool Hold::hold_get() const
{
   Eina_Bool __return_value =  ::efl_event_hold_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Hold::hold_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_event_hold_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline  ::efl::input::Device Hold::device_get() const
{
    ::Efl_Input_Device* __return_value =  ::efl_event_hold_device_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::input::Device>(__return_value);
}
inline void Hold::device_set( ::efl::eolian::in_traits< ::efl::input::Device>::type dev) const
{
    ::efl_event_hold_device_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Input_Device*,  ::efl::eolian::in_traits< ::efl::input::Device>::type>(dev));
}
} } 
namespace eo_cxx {
namespace efl { namespace event { 
inline bool Hold::hold_get() const
{
   Eina_Bool __return_value =  ::efl_event_hold_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Hold::hold_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_event_hold_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline  ::efl::input::Device Hold::device_get() const
{
    ::Efl_Input_Device* __return_value =  ::efl_event_hold_device_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::input::Device>(__return_value);
}
inline void Hold::device_set( ::efl::eolian::in_traits< ::efl::input::Device>::type dev) const
{
    ::efl_event_hold_device_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Input_Device*,  ::efl::eolian::in_traits< ::efl::input::Device>::type>(dev));
}
inline efl::event::Hold::operator ::efl::event::Hold() const { return *static_cast< ::efl::event::Hold const*>(static_cast<void const*>(this)); }
inline efl::event::Hold::operator ::efl::event::Hold&() { return *static_cast< ::efl::event::Hold*>(static_cast<void*>(this)); }
inline efl::event::Hold::operator ::efl::event::Hold const&() const { return *static_cast< ::efl::event::Hold const*>(static_cast<void const*>(this)); }
} } }

